Bug 974054 - Script torquebox_eap_overlay.rb doesn't define modules variable properly
Script torquebox_eap_overlay.rb doesn't define modules variable properly
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: TorqueBox (Show other bugs)
2.3.0
Unspecified Unspecified
unspecified Severity medium
: CR1
: 2.3.0
Assigned To: Marek Novotny
Tomas Repel
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 07:02 EDT by Tomas Repel
Modified: 2013-07-16 07:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-16 07:32:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Repel 2013-06-13 07:02:33 EDT
Description of problem:

Script torquebox_eap_overlay.rb does not define variable `modules` in method `polyglot_modules`. There should be line
`modules = Dir[polyglot_dir].map { |dir| File.basename(dir) }`
but the `modules = ` part is missing.

Version-Release number of selected component (if applicable):

WFK 2.3.0.ER1
TorqueBox 2.3.1.redhat.1

How reproducible:

Always.

Steps to Reproduce:
1. run the script (follow TorqueBox QuickStart Guide)

Actual results:

NameError: undefined local variable or method `modules' for #<EapOverlayer:0x43d248b4>
   polyglot_modules at torquebox_eap_overlay.rb:176
     add_extensions at torquebox_eap_overlay.rb:88
   transform_config at torquebox_eap_overlay.rb:72
  transform_configs at torquebox_eap_overlay.rb:64
            overlay at torquebox_eap_overlay.rb:30
             (root) at torquebox_eap_overlay.rb:208

Expected results:

The script runs without any errors.

Additional info:

This issue is already fix upstrem:
https://github.com/torquebox/torquebox/commit/847a739f0789ae235eedc8dcd0c687ec079f7183
Comment 1 Marek Novotny 2013-06-13 07:27:53 EDT
already fixed by picking up 2.3.2 version into product branch.

Look at merge commit at http://git.app.eng.bos.redhat.com/?p=torquebox.git;a=commitdiff;h=df6189f3a0ab9da89fdd0a7a538032e7e3009224
Comment 3 Tomas Repel 2013-06-26 05:29:09 EDT
Verified in WFK 2.3.0.CR1.

Note You need to log in before you can comment on or make changes to this bug.